(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     26353,        699]
NotebookOptionsPosition[     24799,        647]
NotebookOutlinePosition[     25198,        664]
CellTagsIndexPosition[     25155,        661]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 "Recursividad para calcular ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["a", "n"], TraditionalForm]]]
}], "Text",
 CellChangeTimes->{{3.5383065455301323`*^9, 3.5383065633921537`*^9}, {
  3.5691567123392057`*^9, 3.5691567125923004`*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Potencia", "[", 
   RowBox[{"a_", ",", "n_"}], "]"}], ":=", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"And", "[", 
     RowBox[{
      RowBox[{"a", "\[Equal]", "0"}], ",", " ", 
      RowBox[{"n", "\[Equal]", "0"}]}], "]"}], ",", " ", 
    RowBox[{"Return", "[", "\"\<Indefinido\>\"", "]"}], ",", " ", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"n", "\[Equal]", "0"}], ",", " ", 
      RowBox[{"Return", "[", "1", "]"}], ",", " ", 
      RowBox[{"a", "*", 
       RowBox[{"Potencia", "[", 
        RowBox[{"a", ",", 
         RowBox[{"n", "-", "1"}]}], "]"}]}]}], "]"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Potencia", "[", 
  RowBox[{"2", ",", 
   RowBox[{"-", "5"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.537520956365158*^9, 3.537521083642438*^9}, {
   3.537521117543377*^9, 3.537521119780505*^9}, {3.537618530278021*^9, 
   3.537618530711046*^9}, 3.537620513144435*^9, {3.5378716786739817`*^9, 
   3.5378718870479*^9}, {3.537871938726856*^9, 3.537871969291604*^9}, {
   3.5378734523574305`*^9, 3.537873454818571*^9}, {3.569615719132042*^9, 
   3.569615721035264*^9}, 3.569616219990526*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"$RecursionLimit", "::", "reclim"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Recursion depth of \[NoBreak]\\!\\(1024\\)\[NoBreak] \
exceeded. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/$RecursionLimit/reclim\\\", ButtonNote -> \
\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.537873457890747*^9, 3.539772078563822*^9, 
  3.569615726841985*^9, 3.56961629633222*^9, 3.569616537603803*^9, 
  3.569617002081691*^9, 3.5696173265648375`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"$RecursionLimit", "::", "reclim"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Recursion depth of \[NoBreak]\\!\\(1024\\)\[NoBreak] \
exceeded. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/$RecursionLimit/reclim\\\", ButtonNote -> \
\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.537873457890747*^9, 3.539772078563822*^9, 
  3.569615726841985*^9, 3.56961629633222*^9, 3.569616537603803*^9, 
  3.569617002081691*^9, 3.5696173266158867`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"$RecursionLimit", "::", "reclim"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Recursion depth of \[NoBreak]\\!\\(1024\\)\[NoBreak] \
exceeded. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/$RecursionLimit/reclim\\\", ButtonNote -> \
\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.537873457890747*^9, 3.539772078563822*^9, 
  3.569615726841985*^9, 3.56961629633222*^9, 3.569616537603803*^9, 
  3.569617002081691*^9, 3.5696173266608677`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\($RecursionLimit :: reclim\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.537873457890747*^9, 3.539772078563822*^9, 
  3.569615726841985*^9, 3.56961629633222*^9, 3.569616537603803*^9, 
  3.569617002081691*^9, 3.5696173267109027`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"$IterationLimit", "::", "itlim"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Iteration limit of \[NoBreak]\\!\\(4096\\)\[NoBreak] \
exceeded. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/$IterationLimit/itlim\\\", ButtonNote -> \
\\\"$IterationLimit::itlim\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.537873457890747*^9, 3.539772078563822*^9, 
  3.569615726841985*^9, 3.56961629633222*^9, 3.569616537603803*^9, 
  3.569617002081691*^9, 3.5696173270599327`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"$RecursionLimit", "::", "reclim"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Recursion depth of \[NoBreak]\\!\\(4096\\)\[NoBreak] \
exceeded. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/$RecursionLimit/reclim\\\", ButtonNote -> \
\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.537873457890747*^9, 3.539772078563822*^9, 
  3.569615726841985*^9, 3.56961629633222*^9, 3.569616537603803*^9, 
  3.569617002081691*^9, 3.5696173271269116`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"$RecursionLimit", "::", "reclim"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Recursion depth of \[NoBreak]\\!\\(4096\\)\[NoBreak] \
exceeded. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/$RecursionLimit/reclim\\\", ButtonNote -> \
\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.537873457890747*^9, 3.539772078563822*^9, 
  3.569615726841985*^9, 3.56961629633222*^9, 3.569616537603803*^9, 
  3.569617002081691*^9, 3.5696173271779184`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"$RecursionLimit", "::", "reclim"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Recursion depth of \[NoBreak]\\!\\(4096\\)\[NoBreak] \
exceeded. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/$RecursionLimit/reclim\\\", ButtonNote -> \
\\\"$RecursionLimit::reclim\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.537873457890747*^9, 3.539772078563822*^9, 
  3.569615726841985*^9, 3.56961629633222*^9, 3.569616537603803*^9, 
  3.569617002081691*^9, 3.56961732722793*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Further output of \
\[NoBreak]\\!\\(\\*StyleBox[\\($RecursionLimit :: reclim\\), \
\\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this calculation. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/stop\\\", \
ButtonNote -> \\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.537873457890747*^9, 3.539772078563822*^9, 
  3.569615726841985*^9, 3.56961629633222*^9, 3.569616537603803*^9, 
  3.569617002081691*^9, 3.5696173272769303`*^9}],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   PanelBox[GridBox[{
      {
       StyleBox[
        StyleBox[
         DynamicBox[ToBoxes[
           FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
           StandardForm],
          ImageSizeCache->{908., {8., 27.}}],
         StripOnInput->False,
         DynamicUpdating->True], "Panel",
        StripOnInput->False,
        Background->None]},
      {
       ItemBox[
        TagBox[
         RowBox[{
          RowBox[{"2247116418577894884661631488486280917022471223677883", 
           RowBox[{"\[LeftSkeleton]", "204", "\[RightSkeleton]"}], 
           "3835573287279993405742309964538104419541203028017152"}], 
          RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}], 
          RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}]}],
         Short[#, 5]& ],
        Background->GrayLevel[1],
        BaseStyle->{Deployed -> False},
        Frame->True,
        FrameStyle->GrayLevel[0, 0.2],
        StripOnInput->False]},
      {
       RowBox[{
        ButtonBox[
         StyleBox[
          StyleBox[
           DynamicBox[ToBoxes[
             FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
             StandardForm],
            ImageSizeCache->{162., {1., 27.}}],
           StripOnInput->False,
           DynamicUpdating->True], "Panel",
          StripOnInput->False,
          Background->None],
         Appearance->Automatic,
         ButtonFunction:>OutputSizeLimit`ButtonFunction[
          Identity, 2, 28802964358061169021, 5/2],
         Enabled->True,
         Evaluator->Automatic,
         Method->"Queued"], "\[ThinSpace]", 
        ButtonBox[
         StyleBox[
          StyleBox[
           DynamicBox[ToBoxes[
             FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
             StandardForm],
            ImageSizeCache->{181., {1., 27.}}],
           StripOnInput->False,
           DynamicUpdating->True], "Panel",
          StripOnInput->False,
          Background->None],
         Appearance->Automatic,
         ButtonFunction:>OutputSizeLimit`ButtonFunction[
          Identity, 2, 28802964358061169021, 5 2],
         Enabled->True,
         Evaluator->Automatic,
         Method->"Queued"], "\[ThinSpace]", 
        ButtonBox[
         StyleBox[
          StyleBox[
           DynamicBox[ToBoxes[
             FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
             StandardForm],
            ImageSizeCache->{274., {8., 27.}}],
           StripOnInput->False,
           DynamicUpdating->True], "Panel",
          StripOnInput->False,
          Background->None],
         Appearance->Automatic,
         ButtonFunction:>OutputSizeLimit`ButtonFunction[
          Identity, 2, 28802964358061169021, Infinity],
         Enabled->True,
         Evaluator->Automatic,
         Method->"Queued"], "\[ThinSpace]", 
        ButtonBox[
         StyleBox[
          StyleBox[
           DynamicBox[ToBoxes[
             FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
             StandardForm],
            ImageSizeCache->{235., {1., 27.}}],
           StripOnInput->False,
           DynamicUpdating->True], "Panel",
          StripOnInput->False,
          Background->None],
         Appearance->Automatic,
         ButtonFunction:>FrontEndExecute[{
            FrontEnd`SetOptions[
            FrontEnd`$FrontEnd, 
             FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
            FrontEnd`FrontEndToken["PreferencesDialog"]}],
         Evaluator->None,
         Method->"Preemptive"]}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[1.2]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    DefaultBaseStyle->{},
    FrameMargins->5],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[2]]], "Output",
 CellChangeTimes->{{3.5375210615521746`*^9, 3.537521084535489*^9}, 
   3.537521121282591*^9, 3.5376205164636245`*^9, {3.537871858603273*^9, 
   3.537871888326973*^9}, {3.537871950759544*^9, 3.5378719714537277`*^9}, 
   3.5378734582457676`*^9, 3.5397720791538563`*^9, 3.569615727765169*^9, 
   3.5696162970683384`*^9, 3.5696165383918886`*^9, 3.5696170028707886`*^9, 
   3.569617327355939*^9}]
}, Open  ]],

Cell[TextData[StyleBox["Recurvidad de b\[UAcute]squeda",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.5383066175992546`*^9, 3.538306630225977*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Se", " ", "carga", " ", "la", " ", "lista"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"L", "=", 
     RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"n", "=", 
     RowBox[{
     "Input", "[", "\"\<Digite el tama\[NTilde]o de la lista:\>\"", "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"For", "[", 
    RowBox[{
     RowBox[{"i", "=", "1"}], ",", " ", 
     RowBox[{"i", "\[LessEqual]", "n"}], ",", " ", 
     RowBox[{
      RowBox[{"m", "=", 
       RowBox[{"Input", "[", "\"\<Digite el dato:\>\"", "]"}]}], ";", 
      RowBox[{"L", "=", 
       RowBox[{"Append", "[", 
        RowBox[{"L", ",", "m"}], "]"}]}], ";", " ", 
      RowBox[{"i", "++"}]}]}], "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Se", " ", "declara", " ", "la", " ", "recursividad"}], " ", 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Dato", "[", "a_", "]"}], ":=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"L", "\[NotEqual]", 
       RowBox[{"{", "}"}]}], ",", " ", 
      RowBox[{
       RowBox[{"v", "=", 
        RowBox[{"Last", "[", "L", "]"}]}], ";", " ", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"v", "\[Equal]", "a"}], ",", " ", 
         RowBox[{"Return", "[", "\"\<Dato encontrado\>\"", "]"}], ",", " ", 
         RowBox[{
          RowBox[{"L", "=", 
           RowBox[{"Delete", "[", 
            RowBox[{"L", ",", 
             RowBox[{"Length", "[", "L", "]"}]}], "]"}]}], ";", "  ", 
          RowBox[{"Dato", "[", "a", "]"}]}]}], "]"}]}], ",", " ", 
      RowBox[{"Return", "[", "\"\<Dato no encontrado\>\"", "]"}]}], "]"}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Se", " ", "a\[NTilde]ade", " ", "el", " ", "dato", " ", "a", " ", 
     "buscar"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"h", "=", 
     RowBox[{"Input", "[", "\"\<Digite el dato buscado:\>\"", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Dato", "[", "h", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.537874885390395*^9, 3.5378749875702395`*^9}, {
  3.5378750387751684`*^9, 3.5378751550388184`*^9}, {3.537875240784723*^9, 
  3.537875247392101*^9}, {3.5378752885984573`*^9, 3.5378753645798035`*^9}, {
  3.5378754059551697`*^9, 3.5378754564370575`*^9}, {3.537875497347397*^9, 
  3.5378754984604607`*^9}, {3.5378756330141573`*^9, 3.5378756747065415`*^9}, {
  3.537875763263607*^9, 3.5378758878447323`*^9}, {3.5378759239707985`*^9, 
  3.5378760075845814`*^9}, {3.53787608291989*^9, 3.5378760982597675`*^9}, {
  3.5378761453614616`*^9, 3.537876147062559*^9}, {3.5378761800284443`*^9, 
  3.5378761999065814`*^9}, {3.537876252926614*^9, 3.537876359972737*^9}, {
  3.537876397817901*^9, 3.537876404723296*^9}, {3.5378764496148643`*^9, 
  3.537876502838908*^9}, {3.5378778573683825`*^9, 3.5378778649678173`*^9}, {
  3.5379631155696554`*^9, 3.537963120152918*^9}}],

Cell[BoxData["\<\"Dato no encontrado\"\>"], "Output",
 CellChangeTimes->{3.5397737333364697`*^9}]
}, Open  ]],

Cell[TextData[StyleBox["C\[AAcute]lculo del m\[AAcute]ximo com\[UAcute]n \
divisor",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.5383067438674765`*^9, 3.5383067630645747`*^9}, {
  3.5383077787126665`*^9, 3.538307788848246*^9}, {3.5701118020413294`*^9, 
  3.5701118044986415`*^9}},
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"MCD", "[", 
   RowBox[{"n_", ",", "m_"}], "]"}], ":=", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"n", "\[Equal]", "0"}], ",", " ", 
    RowBox[{"Return", "[", "m", "]"}], ",", " ", 
    RowBox[{"MCD", "[", 
     RowBox[{
      RowBox[{"Mod", "[", 
       RowBox[{"m", ",", "n"}], "]"}], ",", "n"}], "]"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"MCD", "[", 
  RowBox[{"144", ",", "120"}], "]"}]}], "Input",
 CellChangeTimes->{{3.5383064983624344`*^9, 3.538306519683654*^9}, {
  3.5383068724658318`*^9, 3.5383069285170383`*^9}, {3.538306972721566*^9, 
  3.5383070051374207`*^9}, {3.538307035153137*^9, 3.5383071381360273`*^9}, {
  3.5383071834336185`*^9, 3.538307218370617*^9}, {3.5383072510924883`*^9, 
  3.538307252435565*^9}, {3.5383073032014685`*^9, 3.538307357485574*^9}, {
  3.5383074560512114`*^9, 3.5383074567252502`*^9}, {3.538307771389248*^9, 
  3.53830777562249*^9}, {3.538309253498019*^9, 3.5383092597553773`*^9}, {
  3.5383093183857307`*^9, 3.5383093188097553`*^9}, {3.5383975538903713`*^9, 
  3.5383975949477196`*^9}, {3.538398171184678*^9, 3.5383981882536545`*^9}}],

Cell[BoxData["24"], "Output",
 CellChangeTimes->{{3.5383981755969305`*^9, 3.53839818940172*^9}, 
   3.539773942476432*^9}]
}, Open  ]],

Cell[TextData[StyleBox["Algoritmo Quicksort",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.5383086413470063`*^9, 3.538308664296319*^9}, {
  3.538310572325452*^9, 3.5383105855682096`*^9}, {3.5383428594670725`*^9, 
  3.538342893835038*^9}},
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Se", " ", "carga", " ", "la", " ", "lista"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"L", "=", 
     RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"n", "=", 
     RowBox[{
     "Input", "[", "\"\<Digite el tama\[NTilde]o de la lista:\>\"", "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"For", "[", 
    RowBox[{
     RowBox[{"i", "=", "1"}], ",", " ", 
     RowBox[{"i", "\[LessEqual]", "n"}], ",", " ", 
     RowBox[{
      RowBox[{"m", "=", 
       RowBox[{"Input", "[", "\"\<Digite el dato:\>\"", "]"}]}], ";", 
      RowBox[{"L", "=", 
       RowBox[{"Append", "[", 
        RowBox[{"L", ",", "m"}], "]"}]}], ";", " ", 
      RowBox[{"i", "++"}]}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", "L", "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Algoritmo", " ", "Quicksort"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Quicksort", "[", 
     RowBox[{"begin_", ",", "end_"}], "]"}], ":=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"begin", "<", "end"}], ",", " ", 
      RowBox[{
       RowBox[{"i", "=", "begin"}], ";", " ", 
       RowBox[{"j", "=", "end"}], ";", " ", 
       RowBox[{"piv", "=", 
        RowBox[{"L", "[", 
         RowBox[{"[", 
          RowBox[{"Floor", "[", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"begin", "+", "end"}], ")"}], "/", "2"}], "]"}], "]"}], 
         "]"}]}], ";", 
       RowBox[{"While", "[", 
        RowBox[{
         RowBox[{"i", "\[LessEqual]", " ", "j"}], ",", " ", 
         RowBox[{
          RowBox[{"While", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"L", "[", 
              RowBox[{"[", "i", "]"}], "]"}], "<", "piv"}], ",", " ", 
            RowBox[{"i", "++"}]}], "]"}], ";", " ", 
          RowBox[{"While", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"L", "[", 
              RowBox[{"[", "j", "]"}], "]"}], ">", "piv"}], ",", 
            RowBox[{"j", "--"}]}], "]"}], ";", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"i", "\[LessEqual]", " ", "j"}], ",", " ", 
            RowBox[{
             RowBox[{"aux", "=", 
              RowBox[{"L", "[", 
               RowBox[{"[", "i", "]"}], "]"}]}], ";", " ", 
             RowBox[{
              RowBox[{"L", "[", 
               RowBox[{"[", "i", "]"}], "]"}], "=", 
              RowBox[{"L", "[", 
               RowBox[{"[", "j", "]"}], "]"}]}], ";", " ", 
             RowBox[{
              RowBox[{"L", "[", 
               RowBox[{"[", "j", "]"}], "]"}], "=", "aux"}], ";", " ", 
             RowBox[{"i", "++"}], ";", " ", 
             RowBox[{"j", "--"}]}]}], "]"}]}]}], "]"}], ";", " ", 
       RowBox[{"Print", "[", "L", "]"}], ";", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"begin", "<", "j"}], ",", 
         RowBox[{"Quicksort", "[", 
          RowBox[{"begin", ",", "j"}], "]"}]}], "]"}], ";", " ", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"i", "<", "end"}], ",", 
         RowBox[{"Quicksort", "[", 
          RowBox[{"i", ",", " ", "end"}], "]"}]}], "]"}], ";"}]}], "]"}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Ejecuci\[OAcute]n", " ", "del", " ", "algoritmo"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Quicksort", "[", 
     RowBox[{"1", ",", "n"}], "]"}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.5383912764203205`*^9, 3.5383913659174395`*^9}, {
  3.5383914091059093`*^9, 3.5383915279747086`*^9}, {3.538391563965767*^9, 
  3.5383915648688188`*^9}, {3.538391607928282*^9, 3.538391626010316*^9}, {
  3.538391839675537*^9, 3.538391894502673*^9}, {3.538391929811692*^9, 
  3.538391954194087*^9}, {3.5383920310804844`*^9, 3.5383920314435053`*^9}, {
  3.538402827001976*^9, 3.5384028331883297`*^9}, {3.538405662586162*^9, 
  3.538405664892294*^9}, {3.5384068023173513`*^9, 3.5384068029933896`*^9}, {
  3.5384073101293964`*^9, 3.5384073115544777`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"10", ",", 
   RowBox[{"-", "1"}], ",", "3", ",", "5", ",", "7"}], "}"}]], "Print",
 CellChangeTimes->{
  3.5383926673218756`*^9, 3.5384020521026545`*^9, {3.538402846886113*^9, 
   3.538402873388629*^9}, 3.5384056813062325`*^9, 3.538406824519621*^9, 
   3.5384072520670753`*^9, 3.5397740849305797`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"3", ",", 
   RowBox[{"-", "1"}], ",", "10", ",", "5", ",", "7"}], "}"}]], "Print",
 CellChangeTimes->{
  3.5383926673218756`*^9, 3.5384020521026545`*^9, {3.538402846886113*^9, 
   3.538402873388629*^9}, 3.5384056813062325`*^9, 3.538406824519621*^9, 
   3.5384072520670753`*^9, 3.53977408493358*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "1"}], ",", "3", ",", "10", ",", "5", ",", "7"}], 
  "}"}]], "Print",
 CellChangeTimes->{
  3.5383926673218756`*^9, 3.5384020521026545`*^9, {3.538402846886113*^9, 
   3.538402873388629*^9}, 3.5384056813062325`*^9, 3.538406824519621*^9, 
   3.5384072520670753`*^9, 3.5397740849355803`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "1"}], ",", "3", ",", "7", ",", "5", ",", "10"}], 
  "}"}]], "Print",
 CellChangeTimes->{
  3.5383926673218756`*^9, 3.5384020521026545`*^9, {3.538402846886113*^9, 
   3.538402873388629*^9}, 3.5384056813062325`*^9, 3.538406824519621*^9, 
   3.5384072520670753`*^9, 3.53977408493758*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "1"}], ",", "3", ",", "5", ",", "7", ",", "10"}], 
  "}"}]], "Print",
 CellChangeTimes->{
  3.5383926673218756`*^9, 3.5384020521026545`*^9, {3.538402846886113*^9, 
   3.538402873388629*^9}, 3.5384056813062325`*^9, 3.538406824519621*^9, 
   3.5384072520670753`*^9, 3.5397740849385805`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "1"}], ",", "3", ",", "5", ",", "7", ",", "10"}], 
  "}"}]], "Print",
 CellChangeTimes->{
  3.5383926673218756`*^9, 3.5384020521026545`*^9, {3.538402846886113*^9, 
   3.538402873388629*^9}, 3.5384056813062325`*^9, 3.538406824519621*^9, 
   3.5384072520670753`*^9, 3.5397740849405804`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "1"}], ",", "3", ",", "5", ",", "7", ",", "10"}], 
  "}"}]], "Print",
 CellChangeTimes->{
  3.5383926673218756`*^9, 3.5384020521026545`*^9, {3.538402846886113*^9, 
   3.538402873388629*^9}, 3.5384056813062325`*^9, 3.538406824519621*^9, 
   3.5384072520670753`*^9, 3.53977408494258*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "1"}], ",", "3", ",", "5", ",", "7", ",", "10"}], 
  "}"}]], "Print",
 CellChangeTimes->{
  3.5383926673218756`*^9, 3.5384020521026545`*^9, {3.538402846886113*^9, 
   3.538402873388629*^9}, 3.5384056813062325`*^9, 3.538406824519621*^9, 
   3.5384072520670753`*^9, 3.5397740849435806`*^9}]
}, Open  ]]
}, Open  ]]
},
WindowToolbars->"EditBar",
WindowSize->{1584, 763},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>3. Inherited,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 311, 9, 131, "Text"],
Cell[CellGroupData[{
Cell[893, 33, 1159, 28, 243, "Input"],
Cell[2055, 63, 613, 12, 69, "Message"],
Cell[2671, 77, 613, 12, 69, "Message"],
Cell[3287, 91, 613, 12, 69, "Message"],
Cell[3903, 105, 679, 13, 127, "Message"],
Cell[4585, 120, 610, 12, 69, "Message"],
Cell[5198, 134, 613, 12, 69, "Message"],
Cell[5814, 148, 613, 12, 69, "Message"],
Cell[6430, 162, 610, 12, 69, "Message"],
Cell[7043, 176, 679, 13, 127, "Message"],
Cell[7725, 191, 4801, 130, 464, "Output"]
}, Open  ]],
Cell[12541, 324, 210, 4, 131, "Text"],
Cell[CellGroupData[{
Cell[12776, 332, 3026, 70, 815, "Input"],
Cell[15805, 404, 97, 1, 84, "Output"]
}, Open  ]],
Cell[15917, 408, 323, 6, 131, "Text"],
Cell[CellGroupData[{
Cell[16265, 418, 1129, 23, 139, "Input"],
Cell[17397, 443, 122, 2, 84, "Output"]
}, Open  ]],
Cell[17534, 448, 280, 5, 131, "Text"],
Cell[CellGroupData[{
Cell[17839, 457, 4149, 106, 1075, "Input"],
Cell[CellGroupData[{
Cell[22013, 567, 341, 7, 567, "Print"],
Cell[22357, 576, 338, 7, 567, "Print"],
Cell[22698, 585, 344, 8, 567, "Print"],
Cell[23045, 595, 341, 8, 567, "Print"],
Cell[23389, 605, 344, 8, 567, "Print"],
Cell[23736, 615, 344, 8, 567, "Print"],
Cell[24083, 625, 341, 8, 567, "Print"],
Cell[24427, 635, 344, 8, 567, "Print"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
